// fog.fx
//

#ifdef FOG

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform mediump float	u_fFogEnd;
uniform mediump float	u_fFogDensity;			// end-start for linear
uniform lowp vec3		u_vFogColor;

//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------
varying lowp float		v_fFogShade;

#ifdef VSHADER
//==================================================================================================
//==================================================================================================
void MakeFogShade( mediump float fEyeDistance )
{
	v_fFogShade = clamp( (u_fFogEnd - fEyeDistance) / u_fFogDensity, 0.0, 1.0 );
}
#endif
#ifdef FSHADER
//==================================================================================================
//==================================================================================================
lowp vec4 FogShade( lowp vec4 vColor )
{
    return vec4( mix( u_vFogColor, vec3( vColor ), v_fFogShade ), vColor.a );
}
#endif

#endif	//FOG
