// color_prims_lit.fx
//
//// global.fx

#ifdef HAS_OPENGL_ES
#	ifdef VSHADER
		precision highp float;
		precision highp int;
#	endif
#	ifdef FSHADER
		precision mediump float;
		precision mediump int;
#	endif
#else
#	define highp
#	define lowp 
#	define mediump
#endif //HAS_OPENGL_ES

//

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform mat4			u_mModelViewProj;
uniform highp mat3		u_mNormalView;

uniform mediump vec3	u_vLightViewDir;
uniform lowp vec4		u_vSceneAmbient;

//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------
varying vec4			v_vColor;
#ifdef VSHADER
//--------------------------------------------------------------------------------------------------
// Vertex attributes
//--------------------------------------------------------------------------------------------------
attribute vec4			a_vPosition;
attribute lowp vec4		a_vColor;
attribute mediump vec3	a_vNormal;
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	// Directional lighting.
	lowp vec3	vNormal			= u_mNormalView * a_vNormal;
	lowp float	fDiffuseShade	= max( dot( vNormal, u_vLightViewDir ), 0.0 );

	v_vColor	= u_vSceneAmbient + (a_vColor * fDiffuseShade);

	gl_Position	= u_mModelViewProj * a_vPosition;
}
#endif
#ifdef FSHADER
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	gl_FragColor	= v_vColor;
}
#endif
