// model_make_billboard.fx
//
//// global.fx

#ifdef HAS_OPENGL_ES
#	ifdef VSHADER
		precision highp float;
		precision highp int;
#	endif
#	ifdef FSHADER
		precision mediump float;
		precision mediump int;
#	endif
#else
#	define highp
#	define lowp 
#	define mediump
#endif //HAS_OPENGL_ES

//

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform mat4		u_ModelViewProj;
uniform vec4		u_Color;
uniform sampler2D	u_Texture0;

//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------
varying vec2		v_vTexCoord0;
#ifdef VSHADER
//--------------------------------------------------------------------------------------------------
// Vertex attributes
//--------------------------------------------------------------------------------------------------
attribute vec4		a_vPosition;
attribute vec2		a_vTexCoord0;
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	v_vTexCoord0	= a_vTexCoord0;
	gl_Position		= u_ModelViewProj * a_vPosition;
}
#endif
#ifdef FSHADER
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	vec4	vDiffuse	= texture2D( u_Texture0, v_vTexCoord0 );
    if( vDiffuse.a < u_Color.a )
		discard;

	gl_FragColor	= vec4( u_Color.xyz * vDiffuse.xyz, vDiffuse.a );
}
#endif

