// shadow_blobs.fx
//
//// global.fx

#ifdef HAS_OPENGL_ES
#	ifdef VSHADER
		precision highp float;
		precision highp int;
#	endif
#	ifdef FSHADER
		precision mediump float;
		precision mediump int;
#	endif
#else
#	define highp
#	define lowp 
#	define mediump
#endif //HAS_OPENGL_ES

//

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform highp mat4		u_mModelViewProj;

uniform lowp vec4		u_vColor;

uniform lowp sampler2D	u_Texture0;

//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------
varying mediump vec2	v_vTexCoord0;

#ifdef VSHADER
//--------------------------------------------------------------------------------------------------
// Vertex attributes
//--------------------------------------------------------------------------------------------------
attribute highp vec4	a_vPosition;
attribute mediump vec2	a_vTexCoord0;
//==================================================================================================
//==================================================================================================
void main()
{
	gl_Position		= u_mModelViewProj * a_vPosition;
	v_vTexCoord0	= a_vTexCoord0;
}
#endif
#ifdef FSHADER
//==================================================================================================
//==================================================================================================
void main()
{
	gl_FragColor	= u_vColor * texture2D( u_Texture0, v_vTexCoord0 );
}
#endif
