// world_meshes_skybox.fx
//
//// global.fx

#ifdef HAS_OPENGL_ES
#	ifdef VSHADER
		precision highp float;
		precision highp int;
#	endif
#	ifdef FSHADER
		precision mediump float;
		precision mediump int;
#	endif
#else
#	define highp
#	define lowp 
#	define mediump
#endif //HAS_OPENGL_ES

//

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform mat4		u_mModelViewProj;

uniform sampler2D	u_Texture;
//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------
varying vec2		v_vTexCoord0;

#ifdef VSHADER
//--------------------------------------------------------------------------------------------------
// Vertex attributes
//--------------------------------------------------------------------------------------------------
attribute vec4		a_vPosition;
attribute vec2		a_vTexCoord;
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	v_vTexCoord0	= a_vTexCoord;

	gl_Position		= u_mModelViewProj * a_vPosition;
}
#endif
#ifdef FSHADER
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	gl_FragColor	= texture2D( u_Texture, v_vTexCoord0 );
}
#endif
