// world_meshes_water.fx
//
//// global.fx

#ifdef HAS_OPENGL_ES
#	ifdef VSHADER
		precision highp float;
		precision highp int;
#	endif
#	ifdef FSHADER
		precision mediump float;
		precision mediump int;
#	endif
#else
#	define highp
#	define lowp 
#	define mediump
#endif //HAS_OPENGL_ES

//

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform mat4		u_mModelViewProj;
uniform mat4		u_mModelView;

uniform vec4		u_vDiffuse;

uniform sampler2D	u_Texture;

#ifdef FOG
uniform float		u_fFogEnd;
uniform float		u_fFogDensity;			// end-start for linear
uniform vec3		u_vFogColor;
#endif
//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------
varying vec3		v_vTexCoord0FogZ;

#ifdef VSHADER
//--------------------------------------------------------------------------------------------------
// Vertex attributes
//--------------------------------------------------------------------------------------------------
attribute vec4		a_vPosition;
attribute vec2		a_vTexCoord;
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	v_vTexCoord0FogZ.xy		= a_vTexCoord;

#ifdef FOG
	vec4	vEyePos	= u_mModelView * a_vPosition;

	v_vTexCoord0FogZ.z	= abs( vEyePos.z );
#endif
	gl_Position		= u_mModelViewProj * a_vPosition;
}
#endif
#ifdef FSHADER
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	vec4	vColor	= texture2D( u_Texture, v_vTexCoord0FogZ.xy ) * u_vDiffuse;

#ifdef FOG
    float	fog = clamp( (u_fFogEnd - v_vTexCoord0FogZ.z) / u_fFogDensity, 0.0, 1.0 );

	vColor	= vec4( mix( u_vFogColor, vec3( vColor ), fog ), vColor.a );
#endif
	gl_FragColor	= vColor;
}
#endif
