// zpass_alpha_packed_rgba.fx
//
//// global.fx

#ifdef HAS_OPENGL_ES
#	ifdef VSHADER
		precision highp float;
		precision highp int;
#	endif
#	ifdef FSHADER
		precision mediump float;
		precision mediump int;
#	endif
#else
#	define highp
#	define lowp 
#	define mediump
#endif //HAS_OPENGL_ES

//// packed_float.fx

const highp vec4	c_vPackFloatRGBAFactors		= vec4( 1.0, 255.0, 65025.0, 160581375.0 );
const highp vec4	c_vUnpackFloatRGBAFActors	= vec4( 1.0, 1.0/255.0, 1.0/65025.0, 1.0/160581375.0 );
//==================================================================================================
//==================================================================================================
highp vec4 PackFloatRGBA( float v )
{
  return fract( c_vPackFloatRGBAFactors * v );
}
//==================================================================================================
//==================================================================================================
float UnpackFloatRGBA( highp vec4 rgba ) 
{
  return dot( rgba, c_vUnpackFloatRGBAFActors );
}

//

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform mat4		u_ModelViewProj;

uniform sampler2D	u_Texture0;

//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------
varying vec2		v_vTexCoord0;

#ifdef VSHADER
//--------------------------------------------------------------------------------------------------
// Vertex attributes
//--------------------------------------------------------------------------------------------------
attribute vec4	a_vPosition;
attribute vec2	a_vTexCoord0;
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	v_vTexCoord0	= a_vTexCoord0;
	gl_Position		= u_ModelViewProj * a_vPosition;
}
#endif
#ifdef FSHADER
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
    if( texture2D( u_Texture0, v_vTexCoord0 ).a < 0.05 )
		discard;

	gl_FragColor	= PackFloatRGBA( gl_FragCoord.z );
}
#endif
