// zpass_packed_rgba.fx
//
//// global.fx

#ifdef HAS_OPENGL_ES
#	ifdef VSHADER
		precision highp float;
		precision highp int;
#	endif
#	ifdef FSHADER
		precision mediump float;
		precision mediump int;
#	endif
#else
#	define highp
#	define lowp 
#	define mediump
#endif //HAS_OPENGL_ES

//// packed_float.fx

const highp vec4	c_vPackFloatRGBAFactors		= vec4( 1.0, 255.0, 65025.0, 160581375.0 );
const highp vec4	c_vUnpackFloatRGBAFActors	= vec4( 1.0, 1.0/255.0, 1.0/65025.0, 1.0/160581375.0 );
//==================================================================================================
//==================================================================================================
highp vec4 PackFloatRGBA( float v )
{
  return fract( c_vPackFloatRGBAFactors * v );
}
//==================================================================================================
//==================================================================================================
float UnpackFloatRGBA( highp vec4 rgba ) 
{
  return dot( rgba, c_vUnpackFloatRGBAFActors );
}

//

//--------------------------------------------------------------------------------------------------
// Uniforms
//--------------------------------------------------------------------------------------------------
uniform mat4		u_ModelViewProj;

//--------------------------------------------------------------------------------------------------
// Varying
//--------------------------------------------------------------------------------------------------

#ifdef VSHADER
//--------------------------------------------------------------------------------------------------
// Vertex attributes
//--------------------------------------------------------------------------------------------------
attribute vec4	a_vPosition;
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	gl_Position	= u_ModelViewProj * a_vPosition;
}
#endif
#ifdef FSHADER
//--------------------------------------------------------------------------------------------------
//--------------------------------------------------------------------------------------------------
void main()
{
	gl_FragColor	= PackFloatRGBA( gl_FragCoord.z );
}
#endif
